Package org.optaplanner.core.impl.solver.kie

## Class KieSolverAssemblerService

- java.lang.Object
- - org.optaplanner.core.impl.solver.kie.KieSolverAssemblerService

- All Implemented Interfaces:
    `org.kie.api.internal.assembler.KieAssemblerService`, `org.kie.api.internal.utils.KieService`, `org.kie.api.Service`

      public class KieSolverAssemblerService
      extends Object
      implements org.kie.api.internal.assembler.KieAssemblerService

  Only called for solver configuration files in a kjar that have the `ResourceType.SOLVER` extension.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KieSolverAssemblerService()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addResource​(Object kbuilder, org.kie.api.io.Resource resource, org.kie.api.io.ResourceType type, org.kie.api.io.ResourceConfiguration configuration)` |
    `org.kie.api.io.ResourceType` | `getResourceType()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.internal.assembler.KieAssemblerService

      `addResourceAfterRules, addResourceBeforeRules, addResources, addResourcesAfterRules, addResourcesBeforeRules`

- - ### Constructor Detail

    - #### KieSolverAssemblerService

          public KieSolverAssemblerService()

  - ### Method Detail

    - #### getResourceType

          public org.kie.api.io.ResourceType getResourceType()

      Specified by:
        `getResourceType` in interface `org.kie.api.internal.assembler.KieAssemblerService`

    - #### addResource

          public void addResource​(Object kbuilder,
                                  org.kie.api.io.Resource resource,
                                  org.kie.api.io.ResourceType type,
                                  org.kie.api.io.ResourceConfiguration configuration)

      Specified by:
        `addResource` in interface `org.kie.api.internal.assembler.KieAssemblerService`